/* $Id: logger.h,v 1.13 2002/02/27 10:42:35 jorge Exp $ */

#ifndef _LOGGER_H_
#define _LOGGER_H_

#include <stdio.h>

#include "task.h"
#include "job.h"
#include "computer.h"

#define L_ERROR 0
#define L_WARNING 1
#define L_INFO 2
#define L_DEBUG 3

extern int loglevel;
extern int logonscreen;

void log_slave_task (struct task *task,int level,char *fmt,...);
FILE *log_slave_open_task (struct task *task);
void log_slave_computer (int level, char *fmt, ...);
FILE *log_slave_open_computer (char *name);

void log_master (int level, char *fmt, ...);
void log_master_job (struct job *job, int level, char *fmt, ...);
void log_master_computer (struct computer *computer, int level, char *fmt, ...);
FILE *log_master_open (void);

char *log_level_str (int level);

int log_dumptask_open (struct task *t);
int log_dumptask_open_ro (struct task *t);

#endif 


